TV_Mon_Select_PKG Component

Component: TV_Mon_Select_PKG

Description

This component was designed for Wood Norton Studio C where some instant switching of SDI video to monitors is required (ie no TAKE button used). It is used for the sound lip-sync selection panel and the vision control precision monitor position. Multiple components may be placed on a single user panel. At run-time the user taps the icon of the monitor to make that the active control destination. This is indicated by a narrow colour border around the monitor icon. The active and inactive colours are set by statesheets chosen by the panel designer. When a component is selected, it sends a message to it's host that can be forwarded to other components causing them to deselect their active operation state.

This version of the component uses the Wood Norton package selection which has two extra BNCS driver database sets. Driver database set 1 holds the logical names for each source and destination package, database set 2 holds comma delimited strings for each logical destination. The first entry in the list is the video crosspoint id, the second entry is the analogue audio crosspoint id, and the third entry is the digital (AES) audio router in the Studer OnAir 3000 audio desk. Where no crosspoint is required a '-' (minus) letter is present.

The component size 152 x 166 pels.

Commands

Name | Type | Use
instance | mandatory | An entry in instances.xml that identifies the package names device ID and the crosspoint of the switched package destination.
sdiID | mandatory | An entry in instances.xml that identifies the SDI router device ID.
offState | mandatory | Name of statesheet that sets monitor surround colour when control is active.
onState | mandatory | Name of statesheet that sets monitor surround colour when control is inactive.
sourceID=value | command | Tells the component which source package video element to route to the active destination.
clear=1 | command | Tells this instance of the component that another instance has become the active destination, and this instance should ignore sourceID messages.

Notifications

Name | Use
clear=1 | Forward this notification to other instances of the component to tell them to deselect themselves.
setindex=-1 | Forward this notification to other name grids or other source selection grid to clear down the highlighted button.

Stylesheets

No hidden stylesheets are required.

Name Use
See commands offState and onState.

Developers Notes

There is an equivalent component TV_Mon_Select that works with the SDI source selector rather than the package selector.

Andy Woodhouse, BBC Academy

Copyright BBC 2017